# Freedesktop Notes

Notes pertaining to the `.desktop` extension and desktop entries.

## Keys

<https://specifications.freedesktop.org/desktop-entry-spec/1.5/recognized-keys.html>

## Icons

<https://freedesktop.org/wiki/Specifications/icon-theme-spec/>

By default, apps should look in $HOME/.icons (for backwards compatibility), in $XDG_DATA_DIRS/icons and in /usr/share/pixmaps (in that order).

## Testing

Run a `.desktop` file from terminal with this: 

```bash
gtk-launch gnome-system-monitor.desktop
```
